summaryrefslogtreecommitdiffstats
path: root/kubernetes/sdnc/resources/geo/bin/sdnc.isPrimaryCluster
diff options
context:
space:
mode:
Diffstat (limited to 'kubernetes/sdnc/resources/geo/bin/sdnc.isPrimaryCluster')
-rwxr-xr-xkubernetes/sdnc/resources/geo/bin/sdnc.isPrimaryCluster19
1 files changed, 19 insertions, 0 deletions
diff --git a/kubernetes/sdnc/resources/geo/bin/sdnc.isPrimaryCluster b/kubernetes/sdnc/resources/geo/bin/sdnc.isPrimaryCluster
new file mode 100755
index 0000000000..8e816c4153
--- /dev/null
+++ b/kubernetes/sdnc/resources/geo/bin/sdnc.isPrimaryCluster
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+OOM_HOME=${OOM_HOME:-$HOME}
+
+IS_PRIMARY_CLUSTER=`awk '/isPrimaryODLCluster/ {print $2}' ${OOM_HOME}/oom/kubernetes/sdnc/values.yaml`
+
+if [ "$?" -eq "2" ]; then
+ echo "Make sure you are ubuntu user." >&2
+fi
+
+case $IS_PRIMARY_CLUSTER in
+true|false)
+ echo $IS_PRIMARY_CLUSTER
+ ;;
+*)
+ echo "NOT CLUSTERED"
+ exit 1
+ ;;
+esac